package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.HT;
import com.sa.ibiz.demo.demo.service.dto.HTSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface HTMapper extends BaseMapper<HT>{
    @CacheEvict( value="entity",key = "'HT:'+#p0.htid")
    void updateOne(@Param("ht") HT ht);
    List<HT> searchDefault(@Param("srf") HTSearchFilter searchfilter,@Param("ew") Wrapper<HT> wrapper) ;
    Page<HT> searchDefault(IPage page, @Param("srf") HTSearchFilter searchfilter, @Param("ew") Wrapper<HT> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'HT:'+#p0")
    HT selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'HT:'+#p0.htid")
    int updateById(@Param(Constants.ENTITY) HT entity);
    @Override
    @CacheEvict( value="entity",key = "'HT:'+#p0.htid")
    int insert(HT entity);
    @Override
    @CacheEvict( value="entity",key = "'HT:'+#p0")
    int deleteById(Serializable id);
}